#include<iostream>
#include<stdio.h>
#include<math.h>
using namespace std;
main()
{
	int N;
	cin>>N;
	int A[N];
	float P[N];
	for(int i=0;i<N;i++)
		cin>>A[i]>>P[i];
	double zarada;
	double najveci=0;
	for(int i=0;i<N;i++)
	{
		int S=0;
		for(int j=0;j<N;j++)
		{
			if(P[j]>=P[i])
			S+=A[j];
		}
		zarada=S*(P[i]/100);
		if(najveci<zarada)
		najveci=zarada;
	}
	printf("%f",najveci);
}